var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { pipe, prop, propEq } from 'ramda';
import MenuItem from '@mui/material/MenuItem';
import { MultipliableSelect } from '../MultipliableSelect';
var findEntryByValue = function (entries) { return function (value) { return entries.find(propEq('value', value)); }; };
export var DropDownEditor = function (_a) {
    var entries = _a.entries, _b = _a.classes, classes = _b === void 0 ? {} : _b, otherProps = __rest(_a, ["entries", "classes"]);
    var menuItem = classes.menuItem, otherClasses = __rest(classes, ["menuItem"]);
    return (React.createElement(MultipliableSelect, __assign({}, otherProps, { classes: otherClasses, getValueLabel: pipe(findEntryByValue(entries), prop('label')) }), entries.map(function (_a, index) {
        var value = _a.value, label = _a.label;
        return (React.createElement(MenuItem, { key: index, value: value, className: menuItem }, label || value.toString()));
    })));
};
